Subject: Re: libbpf distro packaging

From: Jiri Olsa <[email-masked]>
Date: Mon, 30 Sep 2019 13:13:05 +0200

On Wed, Aug 28, 2019 at 09:12:37AM +0200, Jiri Olsa wrote:
> On Tue, Aug 27, 2019 at 10:30:24PM +0000, Julia Kartseva wrote:
> > On 8/25/19, 11:42 PM, "Jiri Olsa" <[email-masked]> wrote:
> > 
> > > On Fri, Aug 23, 2019 at 04:00:01PM +0000, Alexei Starovoitov wrote:
> > > > 
> > > > Technically we can bump it at any time.
> > > > The goal was to bump it only when new kernel is released
> > > > to capture a collection of new APIs in a given 0.0.X release.
> > > > So that libbpf versions are synchronized with kernel versions
> > > > in some what loose way.
> > > > In this case we can make an exception and bump it now.
> > >
> > > I see, I dont think it's worth of the exception now,
> > > the patch is simple or we'll start with 0.0.3
> > 
> > PR introducing 0.0.5 ABI was merged:
> > https://github.com/libbpf/libbpf/commit/476e158
> > Jiri, you'd like to avoid patching, you can start w/ 0.0.5.
> > Also if you're planning to use *.spec from libbpf as a source of truth,
> > It may be enhanced by syncing spec and ABI versions, similar to
> > https://github.com/libbpf/libbpf/commit/d60f568
> 
> cool, anyway I started with v0.0.3 ;-) I'll update
> to latest once we are merged in
> 
> the spec/srpm is currently under Fedora review:
>   https://bugzilla.redhat.com/show_bug.cgi?id=1745478
> 
> you can check it in here:
>   http://people.redhat.com/~jolsa/libbpf/v2/
> 
> I think it's little different from what you have,
> but not in the essential parts

heya,
FYI we got it through.. there's libbpf-0.0.3 available on fedora 30/31/32
I'll update to 0.0.5 version as soon as there's the v0.0.5 tag available

jirka